> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/returns-api/grp-returns-api/error-handling/faqs.md).

# FAQs

Expand a question to see the answer.

<details>

<summary>What can you do with the ESW Returns API?</summary>

The ESW Returns API allows retailers to perform the following actions:

* Retrieve an order from the database and check whether it is eligible for a return.
* Create a return order and optionally request a return label.
  * You can return an entire order or specific line items.
  * This applies to checkout orders placed through ESW.
* Update an existing return order, including return status.
  * Example: change status from **Created** to **Processed**.
  * You can also edit return reason codes.
* Retrieve return information for a single order.
* Retrieve return orders by date range and return status.
* Create returns for orders/packages that could not be delivered (undeliverable returns).

</details>

<details>

<summary>How do ESW returns work?</summary>

ESW supports multiple returns models and hubs globally.

ESW and the retailer decide the model during scoping.

This can include:

* returns directly back to the retailer delivery centre, or
* bulk returns from an ESW return centre to the retailer delivery centre.

</details>

<details>

<summary>How is ESW Returns API v2.1 different than ESW Returns API v2.0?</summary>

Returns API v2.1 is identical to Returns API v2.0 except for the following changes:

* v2.1 allows you to create blind returns in addition to normal and EU cooling-off returns.
  * **Normal**: A shopper-created return via the Returns portal.
  * **Blind**: A return sent directly to the retailer without a portal return.
  * **EU Cooling-off**: A return protected by EU consumer regulation.
* `brandReturnOrderReference` (v2.0) is renamed to `brandReturnOrderNumber` (v2.1).
* `brandCode` is removed from the `GET Returns` request in v2.1.

</details>

<details>

<summary>Who maps the retailer's internal return reason codes and process reason codes to that of ESW's?</summary>

Retailers must map their internal return reason codes and process reason codes to ESW’s reason code lists.

If you don’t have the mapping, contact eShopWorld during onboarding.

</details>

<details>

<summary>What conditions apply before an order is cancelled or an order article is made available for a return?</summary>

The following conditions apply before an order is cancelled or an order article is made available for a return.

* Cancel order conditions
  * The country must allow order cancellations (EU28).
  * The order article must not have been returned already.
  * All order articles must have shipped.
  * The most recent shipped article must have shipped within 21 days.
  * The order must be a checkout order.
  * All order articles must be available for return.
* Available for return conditions
  * It must have shipped more than *x* days ago (normally 2).
  * It must not already be marked as Returned.
  * It must not already be marked as Cancelled.
  * It must not already be marked as Refunded.
  * It must not be older than the allowed period (normally 30 days + 15 days for shipping).

</details>

<details>

<summary>Does ESW handle only returns for a retailer?</summary>

“Returns only” (where ESW handles only returns) is out of scope for this API.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/returns-api/grp-returns-api/error-handling/faqs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
